org.apache.ode.bpel.engine

## Class DebuggerSupport

- java.lang.Object
- - org.apache.ode.bpel.engine.DebuggerSupport

- All Implemented Interfaces:
    DebuggerContext

      public class DebuggerSupport
      extends java.lang.Object
      implements DebuggerContext

  Class providing functions used to support debugging funtionality in the BPEL engine. This class serves as the underlying implementation of the `BpelManagementFacade` interface, and the various MBean interfaces.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DebuggerSupport(BpelProcess process)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBreakpoint(java.lang.Long pid, Breakpoint breakpoint)`
    `void` | `addGlobalBreakpoint(Breakpoint breakpoint)`
    `void` | `enable(boolean enabled)`
    `Breakpoint[]` | `getBreakpoints(java.lang.Long pid)`
    `Breakpoint[]` | `getGlobalBreakpoints()`
    `java.lang.Object` | `getProcessModel()`
    `void` | `onEvent(BpelEvent event)` Process BPEL events WRT debugging.
    `void` | `removeBreakpoint(java.lang.Long pid, Breakpoint breakpoint)`
    `void` | `removeGlobalBreakpoint(Breakpoint breakpoint)`
    `boolean` | `resume(java.lang.Long iid)`
    `boolean` | `step(java.lang.Long iid)`
    `void` | `suspend(java.lang.Long iid)`
    `void` | `terminate(java.lang.Long iid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebuggerSupport

          protected DebuggerSupport(BpelProcess process)

      Constructor.
      Parameters:
        `db` - BPEL process database

  - ### Method Detail

    - #### enable

          public void enable(boolean enabled)

    - #### getGlobalBreakpoints

          public Breakpoint[] getGlobalBreakpoints()

      Specified by:
        `getGlobalBreakpoints` in interface `DebuggerContext`

    - #### getBreakpoints

          public Breakpoint[] getBreakpoints(java.lang.Long pid)

      Specified by:
        `getBreakpoints` in interface `DebuggerContext`

    - #### addGlobalBreakpoint

          public void addGlobalBreakpoint(Breakpoint breakpoint)

      Specified by:
        `addGlobalBreakpoint` in interface `DebuggerContext`

    - #### addBreakpoint

          public void addBreakpoint(java.lang.Long pid,
                                    Breakpoint breakpoint)

      Specified by:
        `addBreakpoint` in interface `DebuggerContext`

    - #### removeGlobalBreakpoint

          public void removeGlobalBreakpoint(Breakpoint breakpoint)

      Specified by:
        `removeGlobalBreakpoint` in interface `DebuggerContext`

    - #### removeBreakpoint

          public void removeBreakpoint(java.lang.Long pid,
                                       Breakpoint breakpoint)

      Specified by:
        `removeBreakpoint` in interface `DebuggerContext`

    - #### step

          public boolean step(java.lang.Long iid)

      Specified by:
        `step` in interface `DebuggerContext`

    - #### onEvent

          public void onEvent(BpelEvent event)

      Process BPEL events WRT debugging.
      Parameters:
        `event` - BPEL event

    - #### resume

          public boolean resume(java.lang.Long iid)

      Specified by:
        `resume` in interface `DebuggerContext`

    - #### suspend

          public void suspend(java.lang.Long iid)

      Specified by:
        `suspend` in interface `DebuggerContext`

    - #### terminate

          public void terminate(java.lang.Long iid)

      Specified by:
        `terminate` in interface `DebuggerContext`

    - #### getProcessModel

          public java.lang.Object getProcessModel()

      Specified by:
        `getProcessModel` in interface `DebuggerContext`
      Returns:
        the process model. Currently an `OProcess` However it is not guaranteed that it will remain an OProcess in future versions of ODE or for different types of process lanaguage than BPEL.